Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization
Class QueriesManagement

    java.lang.Object
      org.esupportail.portal.channels.CStockage.spacesPersonalization.QueriesManagement

public class QueriesManagement
extends java.lang.Object

Id: QueriesManagement.java,v 1.0 8 mars 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: QueriesManagement Original Author: Yohan Colmant This class manage the access to the queries from the configuration file

Field Summary
`static java.lang.String` | `ADD_STORAGE_AVAILABLE_SPACE` The "add.storage_available_space" property value
`static java.lang.String` | `ADD_STORAGE_AVAILABLE_SPACE_TARGET` The "add.storage_available_space_target" property value
`static java.lang.String` | `ADD_STORAGE_USERS_PREFERENCES` The "add.storage_users_preferences" property value
`static java.lang.String` | `DEL_STORAGE_AVAILABLE_SPACE` The "del.storage_available_space" property value
`static java.lang.String` | `DEL_STORAGE_AVAILABLE_SPACE_TARGET` The "del.storage_available_space_target" property value
`static java.lang.String` | `DEL_STORAGE_AVAILABLE_SPACE_TARGET_ALL` The "del.storage_available_space_target_all" property value
`static java.lang.String` | `DEL_STORAGE_USERS_PREFERENCES` The "del.storage_users_preferences" property value
`static java.lang.String` | `DEL_STORAGE_USERS_PREFERENCES_FOR_USER` The "del.storage_users_preferences_for_user" property value
`static java.lang.String` | `GET_ADMINISTRATED_SPACES` The "get.administrated_spaces" property value
`static java.lang.String` | `GET_AVAILABLE_SPACE` The "get.available_space" property value
`static java.lang.String` | `GET_AVAILABLE_SPACES_FOR_TARGET` The "get.available_spaces_for_target" property value
`static java.lang.String` | `GET_ID_AND_XML_OF_SHARING` The "get.id_and_xml_of_sharing" property value
`static java.lang.String` | `GET_ID_OF_SPACE_FROM_PREFERENCES` The "get.id_of_space_from_preferences" property value
`static java.lang.String` | `GET_ID_OF_SPACES_WITH_SERVER_NAME` The "get.id_of_spaces_with_server_name" property value
`static java.lang.String` | `GET_TARGET_OF_AVAILABLE_SPACE` The "get.targets_of_available_space" property value
`static java.lang.String` | `GET_TARGETS_OF_ADMINISTRATED_SPACES` The "get.targets_of_administrated_spaces" property value
`static java.lang.String` | `GET_TARGETS_OF_SPACE` The "get.targets_of_space" property value
`static java.lang.String` | `IS_ALREADY_AVAILABLE` The "is.already_available" property value
`static java.lang.String` | `IS_ALREADY_AVAILABLE_FOR_TARGET` The "is.already_available_for_target" property value
`static java.lang.String` | `IS_ALREADY_IN_PREFERENCES_FOR_A_USER` The "is.already_in_preferences_for_a_user" property value
`static java.lang.String` | `UPDATE_PATH_OF_SHARING` The "update.path_of_sharing" property value
`static java.lang.String` | `UPDATE_READ_AND_WRITE_AND_SHARE_SPACE` The "update.read_and_write_and_share_space" property value
`static java.lang.String` | `UPDATE_SERVER_NAME_AVAILABLE_SPACE` The "update.server_name_available_space" property value
`static java.lang.String` | `UPDATE_XML_SERVER_AVAILABLE_SPACE` The "update.xml_server_available_space" property value

Constructor Summary
`QueriesManagement()` Constructor

Method Summary
`java.util.Properties` | `getProperties()` Constructor Initialize the parameters for a connexion to the database
`static java.lang.String` | `getQuery(java.lang.String queryName)` Get a query from the properties file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_STORAGE_AVAILABLE_SPACE

    public static java.lang.String ADD_STORAGE_AVAILABLE_SPACE

  The "add.storage_available_space" property value

### ADD_STORAGE_AVAILABLE_SPACE_TARGET

    public static java.lang.String ADD_STORAGE_AVAILABLE_SPACE_TARGET

  The "add.storage_available_space_target" property value

### DEL_STORAGE_AVAILABLE_SPACE

    public static java.lang.String DEL_STORAGE_AVAILABLE_SPACE

  The "del.storage_available_space" property value

### DEL_STORAGE_AVAILABLE_SPACE_TARGET

    public static java.lang.String DEL_STORAGE_AVAILABLE_SPACE_TARGET

  The "del.storage_available_space_target" property value

### DEL_STORAGE_AVAILABLE_SPACE_TARGET_ALL

    public static java.lang.String DEL_STORAGE_AVAILABLE_SPACE_TARGET_ALL

  The "del.storage_available_space_target_all" property value

### GET_AVAILABLE_SPACE

    public static java.lang.String GET_AVAILABLE_SPACE

  The "get.available_space" property value

### GET_TARGET_OF_AVAILABLE_SPACE

    public static java.lang.String GET_TARGET_OF_AVAILABLE_SPACE

  The "get.targets_of_available_space" property value

### IS_ALREADY_AVAILABLE_FOR_TARGET

    public static java.lang.String IS_ALREADY_AVAILABLE_FOR_TARGET

  The "is.already_available_for_target" property value

### IS_ALREADY_AVAILABLE

    public static java.lang.String IS_ALREADY_AVAILABLE

  The "is.already_available" property value

### UPDATE_READ_AND_WRITE_AND_SHARE_SPACE

    public static java.lang.String UPDATE_READ_AND_WRITE_AND_SHARE_SPACE

  The "update.read_and_write_and_share_space" property value

### UPDATE_XML_SERVER_AVAILABLE_SPACE

    public static java.lang.String UPDATE_XML_SERVER_AVAILABLE_SPACE

  The "update.xml_server_available_space" property value

### GET_ID_OF_SPACES_WITH_SERVER_NAME

    public static java.lang.String GET_ID_OF_SPACES_WITH_SERVER_NAME

  The "get.id_of_spaces_with_server_name" property value

### GET_ID_AND_XML_OF_SHARING

    public static java.lang.String GET_ID_AND_XML_OF_SHARING

  The "get.id_and_xml_of_sharing" property value

### UPDATE_PATH_OF_SHARING

    public static java.lang.String UPDATE_PATH_OF_SHARING

  The "update.path_of_sharing" property value

### GET_TARGETS_OF_SPACE

    public static java.lang.String GET_TARGETS_OF_SPACE

  The "get.targets_of_space" property value

### GET_AVAILABLE_SPACES_FOR_TARGET

    public static java.lang.String GET_AVAILABLE_SPACES_FOR_TARGET

  The "get.available_spaces_for_target" property value

### ADD_STORAGE_USERS_PREFERENCES

    public static java.lang.String ADD_STORAGE_USERS_PREFERENCES

  The "add.storage_users_preferences" property value

### IS_ALREADY_IN_PREFERENCES_FOR_A_USER

    public static java.lang.String IS_ALREADY_IN_PREFERENCES_FOR_A_USER

  The "is.already_in_preferences_for_a_user" property value

### GET_ID_OF_SPACE_FROM_PREFERENCES

    public static java.lang.String GET_ID_OF_SPACE_FROM_PREFERENCES

  The "get.id_of_space_from_preferences" property value

### DEL_STORAGE_USERS_PREFERENCES_FOR_USER

    public static java.lang.String DEL_STORAGE_USERS_PREFERENCES_FOR_USER

  The "del.storage_users_preferences_for_user" property value

### DEL_STORAGE_USERS_PREFERENCES

    public static java.lang.String DEL_STORAGE_USERS_PREFERENCES

  The "del.storage_users_preferences" property value

### GET_ADMINISTRATED_SPACES

    public static java.lang.String GET_ADMINISTRATED_SPACES

  The "get.administrated_spaces" property value

### GET_TARGETS_OF_ADMINISTRATED_SPACES

    public static java.lang.String GET_TARGETS_OF_ADMINISTRATED_SPACES

  The "get.targets_of_administrated_spaces" property value

### UPDATE_SERVER_NAME_AVAILABLE_SPACE

    public static java.lang.String UPDATE_SERVER_NAME_AVAILABLE_SPACE

  The "update.server_name_available_space" property value

Constructor Detail

### QueriesManagement

    public QueriesManagement()

  Constructor

Method Detail

### getQuery

    public static java.lang.String getQuery(java.lang.String queryName)
                                     throws DataBaseException

  Get a query from the properties file

  Parameters:
    `queryName` - the name of the query we want to get
  Returns:
    the SQL query
  Throws:
    `DataBaseException`

### getProperties

    public java.util.Properties getProperties()
                                       throws DataBaseException

  Constructor Initialize the parameters for a connexion to the database

  Throws:
    `DataBaseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD